com.holonplatform.core.datastore.operation.commons

## Interface BulkInsertOperation<R,O extends BulkInsertOperation<R,O>>

- Type Parameters:
    `R` - Operation result type
    `O` - Actual operation type
  All Superinterfaces:
    DatastoreCommodity, DatastoreOperation<O,BulkInsertOperationConfiguration>, DatastoreOperationConfiguration.Builder<O>, ExecutableBulkOperation<R,BulkInsertOperationConfiguration,O>, ExecutableOperation<R>, ExpressionResolver.ExpressionResolverBuilder<O>, Serializable
  All Known Subinterfaces:
    AsyncBulkInsert, BulkInsert

      public interface BulkInsertOperation<R,O extends BulkInsertOperation<R,O>>
      extends ExecutableBulkOperation<R,BulkInsertOperationConfiguration,O>

  Bulk `INSERT` `ExecutableBulkOperation`.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `O` | `add(Iterable<PropertyBox> values)` Add one or more `PropertyBox` values to insert.
    `O` | `add(Map<Path<?>,Object> values)` Deprecated. Use `add(Iterable)`
    `default O` | `add(PropertyBox... values)` Add one or more `PropertyBox` values to insert.
    `O` | `operationPaths(Path<?>[] paths)` Deprecated. Use `propertySet(Iterable)`
    `O` | `operationPaths(PropertySet<?> propertySet)` Deprecated. Use `propertySet(Iterable)`
    `<P extends Property> O` | `propertySet(Iterable<P> properties)` Set the operation property set, i.e. the properties which must be included in the bulk insert operation.
    `default <P extends Property> O` | `propertySet(P... properties)` Set the operation property set, i.e. the properties which must be included in the bulk insert operation.

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

- - ### Method Detail

    - #### propertySet

          <P extends Property> O propertySet(Iterable<P> properties)

      Set the operation property set, i.e. the properties which must be included in the bulk insert operation.
      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - Property set (not null)
      Returns:
        this

    - #### propertySet

          default <P extends Property> O propertySet(P... properties)

      Set the operation property set, i.e. the properties which must be included in the bulk insert operation.
      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - Property set (not null)
      Returns:
        this

    - #### add

          O add(Iterable<PropertyBox> values)

      Add one or more `PropertyBox` values to insert.
      Parameters:
        `values` - The values to add to the bulk insert operation (not null)
      Returns:
        this

    - #### add

          default O add(PropertyBox... values)

      Add one or more `PropertyBox` values to insert.
      Parameters:
        `values` - The values to add to the bulk insert operation (not null)
      Returns:
        this

    - #### add

          @Deprecated
          O add(Map<Path<?>,Object> values)

      Deprecated. Use `add(Iterable)`
      Add a path - value map to insert.
      Parameters:
        `values` - Value map to add to the bulk insert operation (not null)
      Returns:
        this

    - #### operationPaths

          @Deprecated
          O operationPaths(Path<?>[] paths)

      Deprecated. Use `propertySet(Iterable)`
      Set the paths to be used for operation values.
      Parameters:
        `paths` - Operation value paths
      Returns:
        this

    - #### operationPaths

          @Deprecated
          O operationPaths(PropertySet<?> propertySet)

      Deprecated. Use `propertySet(Iterable)`
      Set the paths to be used for operation values using a `PropertySet`.

      Each property of the property set which corresponds to a `Path` will be used as operation path.

      Parameters:
        `propertySet` - The property set to set (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.